ant-ivy-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Archie Cobbs <arc...@dellroad.org>
Subject Re: Please vote: changing the default conflict manager
Date Mon, 27 Sep 2010 13:48:01 GMT
On Fri, Sep 24, 2010 at 9:32 AM, Mitch Gitman <mgitman@gmail.com> wrote:

> But Archie, can you or anyone else articulate in your own words the rules
> of
> latest-compatible? The current brief description in the documentation can
> be
> interpreted to mean anything. I would find it troubling if the maintainers
> of an open-source framework are moving to a different default behavior, and
> no one can put in plain English what that default behavior does.
>

I have looked at the code but not thoroughly analyzed it. According to the
comments, it chooses the latest revision for each module that does not
violate some dependency.

However, I've already found one
bug<https://issues.apache.org/jira/browse/IVY-1233>(an infinite loop)
and so don't trust this code yet.

-Archie

-- 
Archie L. Cobbs

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message